Ruby: parse_regular_expression_named_capture_data_t Struct Reference

Ruby 3.4.6p54 (2025-09-16 revision dbd83256b1cec76c69756ecb8758b9e1079833de)

Data Fields
parse_regular_expression_named_capture_data_t Struct Reference

This struct is used to pass information between the regular expression parser and the named capture callback. More...

## Data Fields
pm_parser_t * | parser
| The parser that is parsing the regular expression.
pm_call_node_t * | call
| The call node wrapping the regular expression node.
pm_match_write_node_t * | match
| The match write node that is being created.
pm_constant_id_list_t | names
| The list of names that have been parsed.
bool | shared
| Whether the content of the regular expression is shared.

## Detailed Description

This struct is used to pass information between the regular expression parser and the named capture callback.

Definition at line 20983 of file prism.c.

## Field Documentation

## ◆ call

pm_call_node_t* parse_regular_expression_named_capture_data_t::call

The call node wrapping the regular expression node.

Definition at line 20988 of file prism.c.

## ◆ match

pm_match_write_node_t* parse_regular_expression_named_capture_data_t::match

The match write node that is being created.

Definition at line 20991 of file prism.c.

## ◆ names

pm_constant_id_list_t parse_regular_expression_named_capture_data_t::names

The list of names that have been parsed.

Definition at line 20994 of file prism.c.

## ◆ parser

pm_parser_t* parse_regular_expression_named_capture_data_t::parser

The parser that is parsing the regular expression.

Definition at line 20985 of file prism.c.

## ◆ shared

bool parse_regular_expression_named_capture_data_t::shared

Whether the content of the regular expression is shared.

This impacts whether or not we used owned constants or shared constants in the constant pool for the names of the captures.

Definition at line 21001 of file prism.c.

The documentation for this struct was generated from the following file:

- prism/prism.c